<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class InteropData extends \Google\Protobuf\Internal\Message
{
    


    protected $accountId = null;
    


    protected $token = null;
    


    protected $enableReadReceipts = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAccountId()
    {
        return isset($this->accountId) ? $this->accountId : 0;
    }

    public function hasAccountId()
    {
        return isset($this->accountId);
    }

    public function clearAccountId()
    {
        unset($this->accountId);
    }

    




    public function setAccountId($var)
    {
        GPBUtil::checkUint64($var);
        $this->accountId = $var;

        return $this;
    }

    



    public function getToken()
    {
        return isset($this->token) ? $this->token : '';
    }

    public function hasToken()
    {
        return isset($this->token);
    }

    public function clearToken()
    {
        unset($this->token);
    }

    




    public function setToken($var)
    {
        GPBUtil::checkString($var, False);
        $this->token = $var;

        return $this;
    }

    



    public function getEnableReadReceipts()
    {
        return isset($this->enableReadReceipts) ? $this->enableReadReceipts : false;
    }

    public function hasEnableReadReceipts()
    {
        return isset($this->enableReadReceipts);
    }

    public function clearEnableReadReceipts()
    {
        unset($this->enableReadReceipts);
    }

    




    public function setEnableReadReceipts($var)
    {
        GPBUtil::checkBool($var);
        $this->enableReadReceipts = $var;

        return $this;
    }

}

